import { Component, OnInit } from '@angular/core';
import {FormBuilder, FormGroup, Validators} from "@angular/forms";
import {ValidatorsService} from "../../../services/common/validators.service";

@Component({
  selector: 'app-index',
  templateUrl: './index.component.html',
  styleUrls: ['./index.component.scss']
})
export class IndexComponent implements OnInit {

  validateForm!: FormGroup;
  passwordVisible = false;
  password?: string;

  constructor(private fb: FormBuilder) { }

  ngOnInit(): void {
    this.validateForm = this.fb.group({
      userName: [null, [Validators.required , ValidatorsService.minLength(6) , ValidatorsService.maxLength(20)]],
      password: [null, [Validators.required]],
    });
  }

  submitForm(): void {
    console.log(this.validateForm.value);
  }

}
